// pages/myFollow/myFollow.js
const api = require('../../api/index')
const app = getApp()
import { $startWuxRefresher, $stopWuxRefresher,$stopWuxLoader} from '../../miniprogram_npm/wux-weapp/index'
Page({

  /**
   * 页面的初始数据
   */
  data: {
    queryParams:{
      current:1,
      size:10
    },
    total:0,
    tableData:[],
    checkList:[
      // {
      //   type:0,
      //   label:'全部',
      //   icon:'',
      //   checked:true
      // },
      {
        type:1,
        label:'白名单',
        icon:'myIconanquanbangzhu',
        checked:false
      },
      {
        type:2,
        label:'灰名单',
        icon:'myIcongroup43',
        checked:false
      },
      {
        type:0,
        label:'黑名单',
        icon:'myIconicon-test',
        checked:false
      },
    ],
    checked:[],
    scrolltop: 20,
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(options) {
    this.init()
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {
    
  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {

  },


  /**
   * 页面功能
   */
  //初始化加载
  init(){
    var params = {
      current:1,
      size:10
    }
    this.setData(
      {
        queryParams:params,
        total:0,
        tableData:[],
      }
    )
    this.getMyFollowProductList()
  },
  //下拉
  onPulling() {
    console.log('onPulling')
  },
  //下拉刷新
  onRefresh() {
    console.log('onRefresh')
    this.init()
  },
  //取消关注
  cancelFollow(e){
    var index = e.detail
    var data = this.data.tableData
    data.splice(index,1)
    this.setData(
      {
        tableData:data
      }
    )
    this.getMyFollowProductList(1)
  },
  //获取关注的产品
  getMyFollowProductList(type){
    var params = {
      ...this.data.queryParams,
      concernTypes:this.data.checked
    }
    wx.showLoading({
      title: '加载中',
    })
    api.queryConcernProduct(params).then(res=>{
      if(res.code == 200){
        var data = this.data.tableData
        wx.hideLoading()
        if(type){
            var startIndex = (this.data.queryParams.current-1)*this.data.queryParams.size
            var endIndex = data.length
            var len = endIndex - startIndex
            data.splice(startIndex,len,...res.data.data)
        }else{
            data = data.concat(res.data.data)
        }
        
        
        this.setData(
          {
            tableData:data,
            total:res.data.total
          }
        )
        api.notify(
          {
            type:'success',
            message:'查询成功',
            top:wx.getStorageSync('height')
          }
        )
      }
    }).catch(error=>{
      wx.hideLoading()
    })
  },
  //加载更多
  loadMore(){
    var current = this.data.queryParams.current
    this.setData(
      {
        ['queryParams.current']:current+1
      }
    )
    this.getMyFollowProductList()
  },
  //获取筛选值
  onChange(e){
    var data = e.detail
    this.setData({
      checked: data,
    });
    this.init()
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage() {

  }
})